// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_AssignDelegate.h"
#include "SCW_UK2Node_AddDelegate.h"

class UK2Node_AssignDelegate;

namespace Sourcify
{
	class SCW_UK2Node_AssignDelegate : public SCW_UK2Node_AddDelegate, public virtual ISCW_UK2Node_AssignDelegate
	{
	public:
		SCW_UK2Node_AssignDelegate(UK2Node_AssignDelegate* InK2Node_AssignDelegate);

		UK2Node_AssignDelegate* ToUK2Node_AssignDelegate() const;

		ISCW_UK2Node_AssignDelegatePtr ToUK2NodePtr() override;
		ISCW_UK2Node_AssignDelegateConstPtr ToUK2NodePtr() const override;

	protected:
		UK2Node_AssignDelegate* K2Node_AssignDelegate;
	};
} // namespace Sourcify